#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	vala		# do not build Vala API
#
Summary:	Map widget for Clutter
Summary(pl.UTF-8):	Widget mapy dla Cluttera
Name:		libchamplain
Version:	0.12.3
Release:	2
License:	LGPL v2
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libchamplain/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	f0d63225c2efa8b367ebf205fa40862a
URL:		http://projects.gnome.org/libchamplain/
BuildRequires:	autoconf >= 2.64
BuildRequires:	automake
BuildRequires:	cairo-devel >= 1.4.0
BuildRequires:	clutter-devel >= 1.2.0
BuildRequires:	clutter-gtk-devel >= 0.90.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	glib2-devel >= 1:2.16.0
BuildRequires:	glibc-misc
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.6.3
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	libsoup-gnome-devel >= 2.26.0
BuildRequires:	libtool >= 2.2.6
BuildRequires:	memphis-devel >= 0.2.1
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel >= 3.0
%{?with_vala:BuildRequires:	vala >= 0.11.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%description -l pl.UTF-8
Libchamplain jest biblioteką C, której celem jest dostarczenie
interfejcu ClutterActor do wyświetlania rastrowych map.

%package devel
Summary:	Header files for the libchamplain library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libchamplain
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	clutter-devel >= 1.2.0
Requires:	clutter-gtk-devel >= 0.90.0
Requires:	glib2-devel >= 1:2.16.0
Requires:	gtk+3-devel >= 3.0.0
Requires:	memphis-devel >= 0.2.1
Requires:	sqlite3-devel >= 3.0

%description devel
Header files for the libchamplain library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libchamplain.

%package apidocs
Summary:	libchamplain API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libchamplain
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libchamplain API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libchamplain.

%package -n vala-libchamplain
Summary:	libchamplain API for Vala language
Summary(pl.UTF-8):	API libchamplain dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-libchamplain
libchamplain API for Vala language.

%description -n vala-libchamplain -l pl.UTF-8
API libchamplain dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-static \
	--disable-silent-rules \
	--enable-gtk \
	%{__enable_disable apidocs gtk-doc} \
	%{__enable_disable vala vala} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libchamplain-0.12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchamplain-0.12.so.0
%attr(755,root,root) %{_libdir}/libchamplain-gtk-0.12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libchamplain-gtk-0.12.so.0
%{_libdir}/girepository-1.0/Champlain-0.12.typelib
%{_libdir}/girepository-1.0/GtkChamplain-0.12.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libchamplain-0.12.so
%attr(755,root,root) %{_libdir}/libchamplain-gtk-0.12.so
%{_includedir}/libchamplain-0.12
%{_includedir}/libchamplain-gtk-0.12
%{_pkgconfigdir}/champlain-0.12.pc
%{_pkgconfigdir}/champlain-gtk-0.12.pc
%{_pkgconfigdir}/champlain-memphis-0.12.pc
%{_datadir}/gir-1.0/Champlain-0.12.gir
%{_datadir}/gir-1.0/GtkChamplain-0.12.gir

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libchamplain
%{_gtkdocdir}/libchamplain-gtk
%endif

%if %{with vala}
%files -n vala-libchamplain
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/champlain-0.12.vapi
%{_datadir}/vala/vapi/champlain-gtk-0.12.vapi
%endif
%changelog
* Mon Aug 13 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5ac078f
- conditional apidocs build
- moved Vala API files to seperate package; rel. 2

* Mon Jul 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> 717f65a
- updated to 0.12.3

* Tue Mar 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ddef1f
- release 2

* Thu Mar 22 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 5b15cac
- updated to 0.12.2

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> e923f2e
- 0.12.1

* Thu Sep 29 2011 Artur Frysiak <artur@frysiak.net> 3c4c9c1
- merge changes from DEVEL

* Sun Sep 18 2011 Artur Frysiak <artur@frysiak.net> 5e345ca
- up to 0.10.1

* Mon Apr 04 2011 Łukasz Kieś <kiesiu@pld-linux.org> e2569fb
- updated to 0.10.0
- merged from DEVEL
- enabled vala bindings (it is disabled by default from this version)

* Tue Mar 22 2011 Caleb Maclennan <caleb@alerque.com> ce2fa7d
- Up to 0.8.2

* Sat Feb 12 2011 Szymon Siwek <sls@pld-linux.org> 697f923
- BR: clutter-devel >= 1.2.0 (required gir files)

* Wed Jan 19 2011 Caleb Maclennan <caleb@alerque.com> d4196b8
- Up to 0.8.1

* Thu Nov 25 2010 hawk <hawk@pld-linux.org> d82eb33
- release 2

* Tue Sep 28 2010 Marcin Banasiak <marcin.banasiak@gmail.com> 3ba3556
- updated to 0.8.0 (new soname)

* Mon Aug 23 2010 hawk <hawk@pld-linux.org> 9fd368e
- release 2

* Mon Jul 12 2010 Caleb Maclennan <caleb@alerque.com> 6a17932
-m Up to 0.6.1

* Tue Apr 06 2010 sparky <sparky@pld-linux.org> 8f3ed79
- BR: docbook-dtd412-xml, xorg-proto-glproto-devel

* Wed Mar 24 2010 Marcin Banasiak <marcin.banasiak@gmail.com> d4c4f90
- updated to 0.4.5

* Sat Feb 20 2010 sparky <sparky@pld-linux.org> 4e96820
- dropped erroneous BR: libdrm-devel, xorg-lib-libXxf86vm-devel,
  xorg-proto-dri2proto-devel (pulled by clutter-gtk.pc -> ... -> gl.pc)

* Sat Feb 20 2010 sparky <sparky@pld-linux.org> 0678b0e
- rel 2

* Sat Feb 20 2010 sparky <sparky@pld-linux.org> 0738647
- BR: libdrm-devel, xorg-lib-libXxf86vm-devel, xorg-proto-dri2proto-devel

